View Issue Details

IDProjectCategoryView StatusLast Update
0002381WishesMacropublic2014-11-17 14:39
ReporterJohnDoeAssigned Tozg 
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionno change required 
Product Version3.0 
Target VersionFixed in Version 
Summary0002381: Вызов Plugin.Config и Plugin.Command не только из панелей
DescriptionНужна возможность вызова Plugin.Config и Plugin.Command из произвольной(макро)области.

Сейчас это возможно только из панелей.

Изначальная причина такого ограничения: плагин может не ожидать вызова из произвольной макрообласти.

Это не повод не двигаться дальше. Плагины развиваются, никто не мешает им учитывать возможность вызова не из панелей.
Steps To ReproduceКак всё-таки быть со старыми плагинами?

1) Среди нативных старых нет, и все авторы живы.
Можно оставить ограничение в зависимости от MinFarVersion (+ ansi).

2) Запуск плагина из незапланированной макрообласти можно целиком оставить на совести составителя макроса.
Если нужна защита от дурака - ей может выступить дополнительный параметр типа ForceNonPanels.
Additional InformationОбсуждаемые функции были созданы в рамках 0001903
TagsNo tags attached.
Build0

Activities

shmuel

2014-11-15 00:31

developer   bugnote:0013236

Зачем расширять Plugin.Command, когда есть Plugin.Call?
Что даст расширенный Plugin.Command, чего не может Plugin.Call?

shmuel

2014-11-16 13:00

developer   bugnote:0013238

Тройка Plugin.Menu, Plugin.Config, Plugin.Command выполнена так, что плагину (и плагинописателю) о них вообще знать ничего не надо, всё работает автоматически.

Plugin.Call и Plugin.SyncCall, напротив, предполагают определённый, задаваемый плагином, интерфейс. Также на плечи плагина ложится ответственность по проверке допустимости вызова и проверке корректности переданных параметров в произвольных условиях.

Так может не будем нарушать эту, достаточно логичную и стройную, систему, притом, что получаемые при этом выгоды не очень просматриваются?

JohnDoe

2014-11-17 10:56

updater   bugnote:0013242

>Что даст расширенный Plugin.Command, чего не может Plugin.Call?

Ответ здесь:
>плагину (и плагинописателю) о них вообще знать ничего не надо, всё работает автоматически.

zg

2014-11-17 13:45

developer   bugnote:0013243

не вижу адекватности со стороны инициатора.

JohnDoe

2014-11-17 14:27

updater   bugnote:0013244

Разве существующее ограничение не искусственно?
В 3bis требуемое работает.

zg

2014-11-17 14:39

developer   bugnote:0013245

во втором комментарии всё разжёвано. Шмуел потратил на вас своё время и нервы. вы же пытаетесь пустить дискуссию по кругу. ещё одно перееоткрытие этого инцидента — бан на форуме.

Issue History

Date Modified Username Field Change
2013-04-19 15:53 JohnDoe New Issue
2014-11-15 00:31 shmuel Note Added: 0013236
2014-11-16 13:00 shmuel Note Added: 0013238
2014-11-17 10:56 JohnDoe Note Added: 0013242
2014-11-17 13:45 zg Build => 0
2014-11-17 13:45 zg Note Added: 0013243
2014-11-17 13:45 zg Status new => closed
2014-11-17 13:45 zg Assigned To => zg
2014-11-17 13:45 zg Resolution open => no change required
2014-11-17 14:27 JohnDoe Note Added: 0013244
2014-11-17 14:27 JohnDoe Status closed => feedback
2014-11-17 14:27 JohnDoe Resolution no change required => reopened
2014-11-17 14:39 zg Note Added: 0013245
2014-11-17 14:39 zg Status feedback => closed
2014-11-17 14:39 zg Resolution reopened => no change required